Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: .travis/prepare-ninja.sh

Issue 29663688: Issue 6220 - add travis-ci configuration for adblockpluscore (Closed) Base URL: github.com:adblockplus/adblockpluscore
Patch Set: Created Jan. 11, 2018, 9:33 p.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
« .travis.yml ('K') | « .travis/prepare-emscripten.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: .travis/prepare-ninja.sh
diff --git a/.travis/prepare-ninja.sh b/.travis/prepare-ninja.sh
new file mode 100644
index 0000000000000000000000000000000000000000..e3199a791491191fd000e08fe5a7b845d18fdf52
--- /dev/null
+++ b/.travis/prepare-ninja.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -x
+set -e
+
+if [[ "$TRAVIS_OS_NAME" = "osx" ]]; then
+brew update; brew install ninja;
+else
+wget https://github.com/ninja-build/ninja/releases/download/v1.8.2/ninja-linux.zip -O third_party/ninja-build.zip
sergei 2018/01/11 22:04:09 It's again #6200, the version which is installed v
+mkdir third_party/ninja
+unzip third_party/ninja-build.zip -d third_party/ninja
tlucas 2018/01/17 12:41:39 Please help me out here - can we be sure, that "un
sergei 2018/01/17 14:26:25 As far as I know travis-ci servers usually include
+fi
« .travis.yml ('K') | « .travis/prepare-emscripten.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld